LArSoft - Bug #25499

Cannot run argoneut event display since v09_12_00
02/09/2021 05:02 PM - Tingjun Yang

Status: Closed Start date: 02/09/2021
Priority: Normal Due date:

Assignee: Gianluca Petrillo % Done: 100%
Category: Geometry Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Occurs In: Co-Assignees:

Experiment: ArgoNeut

Description

Dear LArSoft experts,

| cannot run argoneut event display since larsoft v09_12_00:

source /cvmfs/argoneut.opensciencegrid.org/products/argoneut/setup_argoneut.sh

setup argoneutcode v09_12_00 -q e19:prof

lar -c evd_1962.fcl

root://fndcal.fnal.gov:1094/pnfs/fnal.gov/usr/argoneut/persistent/rootfiles_ ART_MINOS/AntiNeutrino/R750_774/R757_E6001-E8000.
root

$MSG-s ArtException: PostEndJob 09-Feb-2021 17:01:16 CST ModuleEndJob
—-——— EventProcessorFailure BEGIN
EventProcessor: an exception occurred during current event processing
—-——— Geometry BEGIN
Geometry used for run run: 757 is incompatible with the one configured in the job!

=== job configuration

Geometry information version: 2
Detector name: 'argoneut'
Full configuration:

GDML: "argoneut.gdml"

Name: "argoneut"

ROOT: "argoneut.gdml"

SurfaceY: 13000

service_type: "Geometry"

=== run configuration
Geometry information version: 1
Detector name: 'nodetectorname’

———— Geometry END
—-——— EventProcessorFailure END
IMSG
Art has completed and will exit with status 1.

Your help is greatly appreciated.

Thanks,
Tingjun

History

#1 - 02/10/2021 06:13 PM - Gianluca Petrillo
- Assignee set to Gianluca Petrillo

- Category set to Geometry

LArSoft (Geometry) is complaining that the geometry the file was built with is not compatible with the one configured in the event display job. The
check is performed with a very sophisticate computational technique called strcmp() between the detector name stored in the data file and the
configured one.

It appears that the default configuration of argoneutcode v09_11_00 would not attempt to change geometry according to the input file (which would
have failed). But even then the discrepancy was detected.

Your options:

1. have a dedicated configuration for those files, loading the correct geometry (which | do not know)

2. disable the check experiment-wide, somehow similar to what was in v09_11_00, and go back to accepting the risk
3. fix all ArgoNeuT data files ;-)

The configuration parameter for disabling the check (options 1 and 2) is

services.Geometry.SkipConfigurationCheck: true

or equivalent.
Option (2) is implemented in branch feature/gp_issue25499 of argoneutcode, but it is untested.

#2 - 02/10/2021 07:46 PM - Tingjun Yang

Thanks Gianluca for the investigation and feature branch. | agree option (2) is the most sensible solution. | have merged your feature branch and
confirmed it works. Thanks!

#3 - 02/15/2021 10:28 AM - Kyle Knoepfel
- % Done changed from 0 to 100

- Status changed from New to Closed
